## gitmagic 20090101

=== Makefile ===
.PHONY: target clean sync push

target: book book/default.css book.html book.pdf

TXTFILES=preface.txt intro.txt basic.txt clone.txt branch.txt history.txt grandmaster.txt secrets.txt drawbacks.txt

book.xml: $(TXTFILES)
	( for FILE in $^ ; do cat $$FILE ; echo ; done ) | asciidoc -d book -b docbook - > $@

book: book.xml
	xmlto -m custom-html.xsl -o book html book.xml
	sed -i 's/xmlns:fo[^ ]*//g' book/*.html
	ls book/*.html | xargs -n 1 tidy -utf8 -m -i -q
	./makeover

book/default.css: book.css
	-mkdir book
	rsync book.css book/default.css

book.html: book.xml
	xmlto -m custom-nochunks.xsl html-nochunks $^
	tidy -utf8 -imq $@

book.pdf: book.xml
	docbook2pdf book.xml

clean:
	-rm -rf book.xml book.html book

sync: target
	rsync -r book.html book.pdf book/* blynn@tl1.stanford.edu:www/gitmagic/

public:
	git push blynn@git.or.cz:srv/git/gitmagic.git
	git push git@github.com:blynn/gitmagic.git

## gitmagic 20090601

=== Makefile ===
# The language we are building.
# For example, Run "make LANG=es" to build the Spanish edition.
LANG := en

.PHONY: target clean sync push

target: book book/default.css book.html book.pdf

# The book consists of these text files in the following order:

TXTFILES := preface.txt intro.txt basic.txt clone.txt branch.txt history.txt \
    grandmaster.txt secrets.txt drawbacks.txt

book.xml: $(addprefix $(LANG)/,$(TXTFILES))
	# Kludge to make preface sections work for languages besides English.
	echo '[specialsections]' > conf
	sed -n '/^== .* ==$$/p' $(LANG)/preface.txt | sed 's/^== \(.*\) ==$$/^\1$$=sect-preface/' >> conf
	# Concatenate the text files and feed to AsciiDoc.
	# If a file has not yet been translated for the target language,
	# then substitute the English version.
	( for FILE in $^ ; do if [ -f $$FILE ]; then cat $$FILE; else \
	cat en/$$(basename $$FILE); fi; echo ; done ) | \
	asciidoc -a lang=$(LANG) -d book -b docbook -f conf - > $@

# This rule allows unfinished translations to build.
# Report an error if the English version of the text file is missing.
$(addprefix $(LANG)/,$(TXTFILES)) :
ifeq ($(LANG),en)
	@if [ ! -f $@ ]; then echo English file missing: $@; exit 123; fi
else
	@if [ ! -f $@ ]; then echo $@ missing: using English version; fi
endif

# Ignore tidy's exit code because Asciidoc generates section IDs beginning with
# "_", which xmlto converts to "id" attributes of <a> tags. The standard
# insists that "id" attributes begin with a letter, which causes tidy to
# print a warning and return a nonzero code.
#
# When Asciidoc 8.3.0+ is widespread, I'll use its idprefix attribute instead
# of ignoring return codes.

book: book.xml
	xmlto -m custom-html.xsl -o book html book.xml
	sed -i 's/xmlns:fo[^ ]*//g' book/*.html
	-ls book/*.html | xargs -n 1 tidy -utf8 -m -i -q
	./makeover

book/default.css: book.css
	-mkdir book
	rsync book.css book/default.css

book.html: book.xml
	xmlto -m custom-nochunks.xsl html-nochunks $^
	-tidy -utf8 -imq $@

# Set SP_ENCODING to avoid "non SGML character" errors.
# Can also do SP_ENCODING="UTF-8".
book.pdf: book.xml
	SP_ENCODING="XML" docbook2pdf book.xml

clean:
	-rm -rf book.xml book.html book

sync: target
	rsync -r book.html book.pdf book/* blynn@tl1.stanford.edu:www/gitmagic/intl/$(LANG)/

public:
	git push blynn@git.or.cz:srv/git/gitmagic.git
	git push git@github.com:blynn/gitmagic.git
	git push git@gitorious.org:gitmagic/mainline.git

## gitmagic 20091118

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 # The language we are building.
 # For example, Run "make LANG=es" to build the Spanish edition.
 LANG := en
+SHELL := /bin/bash
 
 .PHONY: target clean sync push
 
@@ -9,15 +10,18 @@
 # The book consists of these text files in the following order:
 
 TXTFILES := preface.txt intro.txt basic.txt clone.txt branch.txt history.txt \
-    grandmaster.txt secrets.txt drawbacks.txt
+    multiplayer.txt grandmaster.txt secrets.txt drawbacks.txt translate.txt
 
 book.xml: $(addprefix $(LANG)/,$(TXTFILES))
-	# Kludge to make preface sections work for languages besides English.
-	echo '[specialsections]' > conf
-	sed -n '/^== .* ==$$/p' $(LANG)/preface.txt | sed 's/^== \(.*\) ==$$/^\1$$=sect-preface/' >> conf
 	# Concatenate the text files and feed to AsciiDoc.
 	# If a file has not yet been translated for the target language,
 	# then substitute the English version.
+	# Kludge to make preface sections work for languages besides English
+	# for older AsciiDoc versions.
+	if [[ `asciidoc --version | cut -f 2 -d ' '` < "8.5.0" ]]; then \
+	echo '[specialsections]' > conf ; \
+	sed -n '/^== .* ==$$/p' $(LANG)/preface.txt | sed 's/^== \(.*\) ==$$/^\1$$=sect-preface/' >> conf ; \
+	else echo "" > conf ; fi; \
 	( for FILE in $^ ; do if [ -f $$FILE ]; then cat $$FILE; else \
 	cat en/$$(basename $$FILE); fi; echo ; done ) | \
 	asciidoc -a lang=$(LANG) -d book -b docbook -f conf - > $@

## gitmagic 20100608

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	# then substitute the English version.
 	# Kludge to make preface sections work for languages besides English
 	# for older AsciiDoc versions.
-	if [[ `asciidoc --version | cut -f 2 -d ' '` < "8.5.0" ]]; then \
+	if [[ `asciidoc --version | cut -f 2 -d ' '` < "8.4.5" ]]; then \
 	echo '[specialsections]' > conf ; \
 	sed -n '/^== .* ==$$/p' $(LANG)/preface.txt | sed 's/^== \(.*\) ==$$/^\1$$=sect-preface/' >> conf ; \
 	else echo "" > conf ; fi; \
@@ -66,7 +66,7 @@
 	-rm -rf book.xml book.html book
 
 sync: target
-	rsync -r book.html book.pdf book/* blynn@tl1.stanford.edu:www/gitmagic/intl/$(LANG)/
+	rsync -r book.html book.pdf book/* blynn@xenon.stanford.edu:www/gitmagic/intl/$(LANG)/
 
 public:
 	git push blynn@git.or.cz:srv/git/gitmagic.git

=== debian/changelog ===
gitmagic (20100608-1) unstable; urgency=low

  * Merged upstream version 20100608
  * Bump Standards-Version to 3.8.4
  * Switch to 3.0 (quilt) source package format

 -- Francois Marier <francois@debian.org>  Wed, 09 Jun 2010 09:09:27 +1200

gitmagic (20091118-1) unstable; urgency=high

  * Merging upstream version 20091118
    - now supports building with asciidoc 8.5 (closes: #556829)

 -- Francois Marier <francois@debian.org>  Wed, 18 Nov 2009 21:13:55 +1300

gitmagic (20091107-1) unstable; urgency=low

  * Merging upstream version 20091107

 -- Francois Marier <francois@debian.org>  Sat, 07 Nov 2009 16:58:30 +1300

gitmagic (20090907-1) unstable; urgency=low

  * Merging upstream version 20090807
    - now includes upstream "ChangeLog"
  * Adopt package (closes: #543935)
  * Build the HTML book, avoid compressing gitmagic.pdf and fix the local
    links to these books to point to the right place (LP: #352359)

  * Improve "upstream" target (renamed to get-orig-source) to generate
    an upstream ChangeLog and use UTC for the date
  * Add dummy watch file documenting what "new releases" consist of
  * Add VCS fields (in git of course!)
  * Lowercase first letter of short description
  * Add README.source for our use of quilt (lintian warning)
  * Fix dependency-related lintian warnings

 -- Francois Marier <francois@debian.org>  Mon, 07 Sep 2009 17:07:34 +1200

gitmagic (20090801-2) unstable; urgency=low

  * Orphaning package.
  * Removing vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 16:40:17 +0200

gitmagic (20090801-1) unstable; urgency=low

  * Merging upstream version 20090801.
  * Minimizing rules file.

 -- Daniel Baumann <daniel@debian.org>  Mon, 03 Aug 2009 00:30:38 +0200

gitmagic (20090701-1) unstable; urgency=low

  * Merging upstream version 20090701.
  * Updating package to standards version 3.8.2.

 -- Daniel Baumann <daniel@debian.org>  Fri, 10 Jul 2009 11:56:55 +0200

gitmagic (20090601-1) unstable; urgency=low

  * Using correct rfc-2822 date formats in changelog.
  * Merging upstream version 20090601.

 -- Daniel Baumann <daniel@debian.org>  Mon, 01 Jun 2009 11:58:11 +0200

gitmagic (20090501-1) unstable; urgency=low

  * Merging upstream version 20090501.

 -- Daniel Baumann <daniel@debian.org>  Sun, 03 May 2009 14:32:00 +0200

gitmagic (20090401-1) unstable; urgency=low

  * Updating year in copyright file.
  * Merging upstream version 20090401.
  * Rediffing tidy-anchors.patch
  * Tidy rules file.
  * Upgrading package to standards 3.8.1.

 -- Daniel Baumann <daniel@debian.org>  Mon, 06 Apr 2009 03:19:00 +0200

gitmagic (20090201-1) unstable; urgency=low

  * Merging upstream version 20090201.

 -- Daniel Baumann <daniel@debian.org>  Sun, 01 Feb 2009 14:51:00 +0100

gitmagic (20090101-1) unstable; urgency=low

  * Merging upstream version 20090101.
  * Prefixing debhelper files with package name.
  * Using quilt rather than dpatch.

 -- Daniel Baumann <daniel@debian.org>  Fri, 09 Jan 2009 13:01:00 -0500

gitmagic (20081115-1) unstable; urgency=low

  * Initial release.

 -- Daniel Baumann <daniel@debian.org>  Sat, 15 Nov 2008 10:28:00 +0100

=== debian/control ===
Source: gitmagic
Section: doc
Priority: optional
Maintainer: Francois Marier <francois@debian.org>
Build-Depends: debhelper (>= 7.0.50)
Build-Depends-Indep: asciidoc, gawk, docbook-utils, tidy, xmlto
Standards-Version: 3.8.4
Homepage: http://www-cs-students.stanford.edu/~blynn/gitmagic/
Vcs-git: git://git.debian.org/git/collab-maint/gitmagic.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gitmagic.git;a=summary

Package: gitmagic
Architecture: all
Depends: ${misc:Depends}
Description: guide about Git version control system
 Git is a version control Swiss army knife. A reliable versatile multipurpose
 revision control tool whose extraordinary flexibility makes it tricky to learn,
 let alone master.
 .
 This is easier to understand guide for Git than the official Git user manual.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

DATE=$(shell date --utc +%Y%m%d)

get-orig-source:
	# Needs: git-core
	cd .. && git clone git://repo.or.cz/gitmagic.git gitmagic-$(DATE)
	cd ../gitmagic-$(DATE) && git log --pretty=format:"%aD%n- %s%n" --no-merges > ChangeLog
	cd .. && rm -rf gitmagic-$(DATE)/.git
	tar cfz ../gitmagic-$(DATE).tar.gz ../gitmagic-$(DATE)
	rm -rf ../gitmagic-$(DATE)/

override_dh_auto_build:
	$(MAKE) book book.html book.pdf

override_dh_auto_install:
	install -D -m 0644 book.html debian/gitmagic/usr/share/doc/gitmagic/gitmagic.html
	install -D -m 0644 book.pdf debian/gitmagic/usr/share/doc/gitmagic/gitmagic.pdf
	install -D -m 0644 book.css debian/gitmagic/usr/share/doc/gitmagic/html/default.css
	cp -a book/* debian/gitmagic/usr/share/doc/gitmagic/html

override_dh_compress:
	dh_compress --exclude=gitmagic.pdf

## gitmagic 20101222

=== Makefile ===
--- 
+++ 
@@ -16,12 +16,9 @@
 	# Concatenate the text files and feed to AsciiDoc.
 	# If a file has not yet been translated for the target language,
 	# then substitute the English version.
-	# Kludge to make preface sections work for languages besides English
-	# for older AsciiDoc versions.
-	if [[ `asciidoc --version | cut -f 2 -d ' '` < "8.4.5" ]]; then \
+	# Kludge to support any translation of "Preface".
 	echo '[specialsections]' > conf ; \
-	sed -n '/^== .* ==$$/p' $(LANG)/preface.txt | sed 's/^== \(.*\) ==$$/^\1$$=sect-preface/' >> conf ; \
-	else echo "" > conf ; fi; \
+	sed -n '/^== .* ==$$/p' $(LANG)/preface.txt | sed 's/^== \(.*\) ==$$/^\1$$=preface/' >> conf ; \
 	( for FILE in $^ ; do if [ -f $$FILE ]; then cat $$FILE; else \
 	cat en/$$(basename $$FILE); fi; echo ; done ) | \
 	asciidoc -a lang=$(LANG) -d book -b docbook -f conf - > $@

=== po4gitmagic/Makefile ===
# Makefile to genereate everything needed for a translation of git-magic using po4a

SHELL := /bin/bash

# the possible targets
#
# clean - remove the folder $(POTDIR) and all the .txt files
# gettext - create the folder $(POTDIR) and generate the .po files in there
# translate - create the .txt files from the translated .po files
#             for success you must have translated already 80% of a .po file
# update - update the .po files in case the originals has changed
#             changed items are marked 'fuzzy' in the .po file to fin them easy

.PHONY: clean gettext translate update

# the path to the english original .txt files
ORGDIR := ../en

# the folder where the .po files will be created
POTDIR := pot

# the filenames for the .txt and .po files
# must be identical to the english original .txt files
FILES := preface intro basic clone branch history multiplayer grandmaster secrets drawbacks translate
# add the .txt suffix to the filenames for a list of .txt files
TXTFILES := $(addsuffix .txt, $(FILES))
# add the .po suffix to the filenames for a list of .po files
POTFILES := $(addsuffix .po, $(FILES))

# prerequisites for gettext are the .po files
gettext: $(addprefix $(POTDIR)/,$(POTFILES))

# prerequisites for translate are the .txt files
translate: $(TXTFILES)

# no prerequisites to update the translated .po files when the english original .txt has changed
update:
	( for FILE in $(FILES) ; \
		do if [ -f $(ORGDIR)/$$FILE.txt ]; \
			then po4a-updatepo -f text -m $(ORGDIR)/$$FILE.txt -p $(POTDIR)/$$FILE.po; echo $$FILE; \
		fi; \
	done )

# remove all .po and .txt files
clean:
	-rm -rf $(POTDIR)
	-rm -rf *.txt

# prerequisites for the .po files is the existance of the pot folder
$(POTFILES) : | $(POTDIR)

# create the folder for the .po files
$(POTDIR) :
	-mkdir $(POTDIR)

# rule how to make the .po files from the english original .txt file
$(POTDIR)/%.po : $(ORGDIR)/%.txt
	po4a-gettextize -f text -m $< -p $@ -M UTF-8

# rule how to make the translatets .txt files from the translated .po files
%.txt : $(POTDIR)/%.po
	po4a-translate -f text -m ../en/$@ -p $< -M UTF-8 -l $@

=== debian/changelog ===
gitmagic (20101222-1) unstable; urgency=low

  * Merged upstream version 20101222
  * Bump Standards-Version up to 3.9.1
  * Bump debhelper compatibility to 8

 -- Francois Marier <francois@debian.org>  Wed, 22 Dec 2010 16:36:19 +1300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: doc
 Priority: optional
 Maintainer: Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 7.0.50)
+Build-Depends: debhelper (>= 8)
 Build-Depends-Indep: asciidoc, gawk, docbook-utils, tidy, xmlto
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www-cs-students.stanford.edu/~blynn/gitmagic/
 Vcs-git: git://git.debian.org/git/collab-maint/gitmagic.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gitmagic.git;a=summary

## gitmagic 20120520

=== Makefile ===
# The availaible translation languages.
# When starting a new translation, add a language code here.
#
# Vietnamese PDF generation fails, since DocBook lacks Vietnamese support.
# I hope to work around this, or use another tool to generate a PDF from
# AsciiDoc.
#
# For now, I've uploaded a PDF to the website; it was supplied by
# Trần Ngọc Quân who used OpenOffice to convert HTML to PDF.
TRANSLATIONS = de es fr ru vi zh_cn zh_tw
LANGS = en $(TRANSLATIONS)
SHELL := /bin/bash

.PHONY: all clean sync public $(LANGS)

all: $(LANGS)

$(LANGS): %: book-% book-%/default.css book-%.html book-%.pdf

# The book consists of these text files in the following order:

TXTFILES := preface.txt intro.txt basic.txt clone.txt branch.txt history.txt \
    multiplayer.txt grandmaster.txt secrets.txt drawbacks.txt translate.txt

$(foreach l,$(LANGS),book-$(l).xml): book-%.xml: $(addprefix %/,$(TXTFILES))
	# Concatenate the text files and feed to AsciiDoc.
	# If a file has not yet been translated for the target language,
	# then substitute the English version.
	# Kludge to support any translation of "Preface".
	echo '[specialsections]' > conf ; \
	if [ $* != ru ]; then \
	sed -n '/^== .* ==$$/p' $*/preface.txt | sed 's/^== \(.*\) ==$$/^\1$$=preface/' >> conf ; \
	else \
	cp lang-ru.conf conf ; fi ; \
	( for FILE in $^ ; do if [ -f $$FILE ]; then cat $$FILE; else \
	cat en/$$(basename $$FILE); fi; echo ; done ) | \
	asciidoc -a lang=$* -d book -b docbook -f conf - > $@

# This rule allows unfinished translations to build.
# Report an error if the English version of the text file is missing.
$(addprefix en/,$(TXTFILES)):
	@if [ ! -f $@ ]; then echo English file missing: $@; exit 123; fi
$(foreach l,$(TRANSLATIONS),$(addprefix $(l)/,$(TXTFILES))):
	@if [ ! -f $@ ]; then echo $@ missing: using English version; fi

# Ignore tidy's exit code because Asciidoc generates section IDs beginning with
# "_", which xmlto converts to "id" attributes of <a> tags. The standard
# insists that "id" attributes begin with a letter, which causes tidy to
# print a warning and return a nonzero code.
#
# When Asciidoc 8.3.0+ is widespread, I'll use its idprefix attribute instead
# of ignoring return codes.

$(foreach l,$(LANGS),book-$(l)): book-%: book-%.xml
	xmlto -m custom-html.xsl -o book-$* html book-$*.xml
	sed -i'' -e 's/xmlns:fo[^ ]*//g' book-$*/*.html
	-ls book-$*/*.html | xargs -n 1 tidy -utf8 -m -i -q
	./makeover $*

$(foreach l,$(LANGS),book-$(l)/default.css): book-%/default.css: book.css
	-mkdir -p book-$*
	rsync book.css book-$*/default.css

$(foreach l,$(LANGS),book-$(l).html): book-%.html: book-%.xml
	xmlto -m custom-nochunks.xsl html-nochunks $^
	-tidy -utf8 -imq $@

# Set SP_ENCODING to avoid "non SGML character" errors.
# Can also do SP_ENCODING="UTF-8".
$(foreach l,$(LANGS),book-$(l).pdf): book-%.pdf: book-%.xml
	if [ $* = zh_cn -o $* = zh_tw ]; then \
	if ! [ -f fop-$*.xsl ]; then wget -q http://bestrecords.net/fop/fop-$*.xsl; fi; \
	if ! [ -f fop-$*.xconf ]; then wget -q http://bestrecords.net/fop/fop-$*.xconf; fi; \
	xmlto -m fop-$*.xsl --with-fop -p "-c `pwd`/fop-$*.xconf" pdf book-$*.xml ;\
	else \
	SP_ENCODING="XML" docbook2pdf book-$*.xml; \
	fi

clean:
	-rm -rf $(foreach l,$(LANGS),book-$(l).pdf book-$(l).xml book-$(l).html book-$(l))

=== debian/changelog ===
gitmagic (20120520-1ubuntu1) quantal; urgency=low

  * Add missing build dependency.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sat, 26 May 2012 18:32:27 +0400

gitmagic (20120520-1) unstable; urgency=low

  * New upstream release
    - update local patches to match upstream Makefile changes
  * Bump Standards-Version to 3.9.3 
  * Bump debhelper compatibility to 9

 -- Francois Marier <francois@debian.org>  Sun, 20 May 2012 21:51:37 +1200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: gitmagic
 Section: doc
 Priority: optional
-Maintainer: Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 8)
-Build-Depends-Indep: asciidoc, gawk, docbook-utils, tidy, xmlto
-Standards-Version: 3.9.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Francois Marier <francois@debian.org>
+Build-Depends: debhelper (>= 9)
+Build-Depends-Indep: asciidoc, gawk, docbook-utils, tidy, xmlto, texlive-lang-cyrillic
+Standards-Version: 3.9.3
 Homepage: http://www-cs-students.stanford.edu/~blynn/gitmagic/
 Vcs-git: git://git.debian.org/git/collab-maint/gitmagic.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gitmagic.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -14,13 +14,14 @@
 	rm -rf ../gitmagic-$(DATE)/
 
 override_dh_auto_build:
-	$(MAKE) book book.html book.pdf
+	$(MAKE) book-en book-en.html book-en.pdf
 
 override_dh_auto_install:
-	install -D -m 0644 book.html debian/gitmagic/usr/share/doc/gitmagic/gitmagic.html
-	install -D -m 0644 book.pdf debian/gitmagic/usr/share/doc/gitmagic/gitmagic.pdf
+	install -D -m 0644 book-en.html debian/gitmagic/usr/share/doc/gitmagic/gitmagic.html
+	install -D -m 0644 book-en.pdf debian/gitmagic/usr/share/doc/gitmagic/gitmagic.pdf
 	install -D -m 0644 book.css debian/gitmagic/usr/share/doc/gitmagic/html/default.css
-	cp -a book/* debian/gitmagic/usr/share/doc/gitmagic/html
+	cp -a book-en/* debian/gitmagic/usr/share/doc/gitmagic/html
+	rm debian/gitmagic/usr/share/doc/gitmagic/html/book-en.proc
 
 override_dh_compress:
 	dh_compress --exclude=gitmagic.pdf

## gitmagic 20131213

=== debian/changelog ===
gitmagic (20131213-2) unstable; urgency=low

  * fix privacy-breach-google-adsense lintian issue
  * bump Standards-Version to 3.9.5

 -- Sebastien Badia <seb@sebian.fr>  Sun, 22 Dec 2013 16:58:30 +0100

gitmagic (20131213-1) unstable; urgency=low

  * control: (lintian) Fixed Vcs-* links
  * control: update maintainer (closes: #673621)
  * New upstream release
  * Bump Standards-Version to 3.9.4

 -- Sebastien Badia <seb@sebian.fr>  Sat, 14 Dec 2013 00:53:13 +0100

gitmagic (20120520-2) unstable; urgency=medium

  * Add missing package to build-dependency to fix FTBFS (closes: #674303)

 -- Francois Marier <francois@debian.org>  Sun, 01 Jul 2012 22:04:22 +1200

## gitmagic 20140125

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 #
 # For now, I've uploaded a PDF to the website; it was supplied by
 # Trần Ngọc Quân who used OpenOffice to convert HTML to PDF.
-TRANSLATIONS = de es fr ru vi zh_cn zh_tw
+TRANSLATIONS = de es fr pt_br ru uk vi zh_cn zh_tw it pl
 LANGS = en $(TRANSLATIONS)
 SHELL := /bin/bash

=== de/Makefile ===
../po4gitmagic/Makefile

=== po4gitmagic/Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 update:
 	( for FILE in $(FILES) ; \
 		do if [ -f $(ORGDIR)/$$FILE.txt ]; \
-			then po4a-updatepo -f text -m $(ORGDIR)/$$FILE.txt -p $(POTDIR)/$$FILE.po; echo $$FILE; \
+			then po4a-updatepo -f text -m $(ORGDIR)/$$FILE.txt -M UTF-8 -p $(POTDIR)/$$FILE.po; echo $$FILE; \
 		fi; \
 	done )

=== debian/changelog ===
gitmagic (20140125-1) unstable; urgency=low

  * New upstream release
  * Fix lintian error : privacy-breach-logo

 -- Sebastien Badia <seb@sebian.fr>  Sat, 25 Jan 2014 03:32:40 +0100

=== debian/control ===
Source: gitmagic
Section: doc
Priority: optional
Maintainer: Sebastien Badia <seb@sebian.fr>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: asciidoc, gawk, docbook-utils, tidy, xmlto, texlive-lang-cyrillic
Standards-Version: 3.9.5
Homepage: http://www-cs-students.stanford.edu/~blynn/gitmagic/
Vcs-git: git://anonscm.debian.org/collab-maint/gitmagic.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gitmagic.git

Package: gitmagic
Architecture: all
Depends: ${misc:Depends}
Description: guide about Git version control system
 Git is a version control Swiss army knife. A reliable versatile multipurpose
 revision control tool whose extraordinary flexibility makes it tricky to learn,
 let alone master.
 .
 This is easier to understand guide for Git than the official Git user manual.

## gitmagic 20160304

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,12 @@
 # The availaible translation languages.
 # When starting a new translation, add a language code here.
 #
-# Vietnamese PDF generation fails, since DocBook lacks Vietnamese support.
-# I hope to work around this, or use another tool to generate a PDF from
-# AsciiDoc.
-#
-# For now, I've uploaded a PDF to the website; it was supplied by
-# Trần Ngọc Quân who used OpenOffice to convert HTML to PDF.
-TRANSLATIONS = de es fr pt_br ru uk vi zh_cn zh_tw it pl
+
+TRANSLATIONS = de es fr ko pt_br ru uk vi zh_cn zh_tw it pl
 LANGS = en $(TRANSLATIONS)
 SHELL := /bin/bash
 
-.PHONY: all clean sync public $(LANGS)
+.PHONY: all clean sync public distclean $(LANGS)
 
 all: $(LANGS)
 
@@ -69,12 +64,20 @@
 # Can also do SP_ENCODING="UTF-8".
 $(foreach l,$(LANGS),book-$(l).pdf): book-%.pdf: book-%.xml
 	if [ $* = zh_cn -o $* = zh_tw ]; then \
-	if ! [ -f fop-$*.xsl ]; then wget -q http://bestrecords.net/fop/fop-$*.xsl; fi; \
-	if ! [ -f fop-$*.xconf ]; then wget -q http://bestrecords.net/fop/fop-$*.xconf; fi; \
-	xmlto -m fop-$*.xsl --with-fop -p "-c `pwd`/fop-$*.xconf" pdf book-$*.xml ;\
+		if ! [ -f fop-$*.xsl ]; then wget -q http://bestrecords.net/fop/fop-$*.xsl; fi; \
+		if ! [ -f fop-$*.xconf ]; then wget -q http://bestrecords.net/fop/fop-$*.xconf; fi; \
+		xmlto -m fop-$*.xsl --with-fop -p "-c `pwd`/fop-$*.xconf" pdf book-$*.xml ;\
+	elif [ $* = vi ] ; then \
+		xsltproc --encoding utf-8 fop-vi.xsl book-$*.xml > book-$*.fo; \
+		fop -c fop-vi.xconf -fo book-$*.fo -pdf book-$*.pdf; \
 	else \
-	SP_ENCODING="XML" docbook2pdf book-$*.xml; \
+		SP_ENCODING="XML" docbook2pdf book-$*.xml; \
 	fi
 
 clean:
-	-rm -rf $(foreach l,$(LANGS),book-$(l).pdf book-$(l).xml book-$(l).html book-$(l))
+	-rm -rf $(foreach l,$(LANGS),book-$(l).pdf book-$(l).xml book-$(l).html book-$(l)) \
+	*.fo *.log *.out *.aux conf
+
+distclean: clean
+	-rm -rfv fop fop-zh*
+

=== debian/changelog ===
gitmagic (20160304-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/watch: changed to follow the last commit date.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 25 Nov 2019 18:54:58 -0300

gitmagic (20160304-1.1) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * Non-maintainer upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Bumped Standards-Version to 4.4.1.
      - Changed build dependency texlive-generic-recommended to
        texlive-plain-generic. Thanks to Steve Langasek
        <steve.langasek@canonical.com>. (Closes: #941524)
      - Updated Vcs-Git field.

  [ Ondřej Nový ]
  * Non-maintainer upload.
  * d/control: Fix wrong Vcs-Browser.
  * d/copyright: Use https protocol in Format field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 08 Oct 2019 23:17:08 -0300

gitmagic (20160304-1) unstable; urgency=medium

  * d/control:
      Bump Standards-version (no changes)
      Switch to https and cgit for vcs-browser URL
      Update Vcs-git url (use https)
      Add missing BD (Closes: #816518)
      Bump Standards-Version to 3.9.7 (no changes)
  * d/copyright: Fix dep5 headers (no-dep5-copyright)
  * Imported Upstream version 20160304
  * d/patches:
      Remove un-needed breach-logo patch
      Add breach-generic patch (googlefonts)
      Refresh patchs and disable selflink js

 -- Sebastien Badia <seb@sebian.fr>  Fri, 04 Mar 2016 12:01:25 -0300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,18 @@
 Section: doc
 Priority: optional
 Maintainer: Sebastien Badia <seb@sebian.fr>
-Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: asciidoc, gawk, docbook-utils, tidy, xmlto, texlive-lang-cyrillic
-Standards-Version: 3.9.5
+Build-Depends: debhelper-compat (= 12)
+Build-Depends-Indep: asciidoc,
+                     docbook-utils,
+                     gawk,
+                     texlive-lang-cyrillic,
+                     texlive-plain-generic,
+                     tidy,
+                     xmlto
+Standards-Version: 4.4.1
 Homepage: http://www-cs-students.stanford.edu/~blynn/gitmagic/
-Vcs-git: git://anonscm.debian.org/collab-maint/gitmagic.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gitmagic.git
+Vcs-git: https://salsa.debian.org/debian/gitmagic.git
+Vcs-Browser: https://salsa.debian.org/debian/gitmagic
 
 Package: gitmagic
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,10 @@
 override_dh_auto_build:
 	$(MAKE) book-en book-en.html book-en.pdf
 
+override_dh_clean:
+	rm -rf conf
+	dh_clean
+
 override_dh_auto_install:
 	install -D -m 0644 book-en.html debian/gitmagic/usr/share/doc/gitmagic/gitmagic.html
 	install -D -m 0644 book-en.pdf debian/gitmagic/usr/share/doc/gitmagic/gitmagic.pdf

=== debian/watch ===
# Upstream doesn't do packaged releases. Instead he commits to a git repository at:
#   git://repo.or.cz/gitmagic.git
#
# So the Debian package is a (roughly) monthly snapshot of what the repository is up to.
#
# To generate the tarball, I run "debian/rules get-orig-source" from the top level
# directory of the packaging clone.
#
#  -- Francois Marier <francois@debian.org>  Mon, 07 Sep 2009 13:09:33 +1200

# by Eriberto, 2019-11-25
# This implementation will look at last commit date. Note that these lines
# won't allow uscan to download anything but it will show the last version
# in upstream git repository.
version=4
opts="searchmode=plain, uversionmangle=s/-//g" \
https://github.com/blynn/gitmagic/commits/master relative-time.datetime=.(\d{4}-\d{2}-\d{2})T
